import request from "@/utils/request.js";

export default {
	//新增或修改会员
	insertOrUpdateMember(data) {
		return request({
			url: '/api/member-helper/orupdatememberinfobywechat',
			method: 'POST',
			data: data,
			interfaceType: 0
		});
	},
	//微信根据openid获取用户信息
	selectMemberByOpenId(openId) {
		return request({
			url: `/api/member-helper/memberinfobywechat/${openId}`,
			method: 'POST',
			interfaceType: 0
		});
	},
	//查询会员积分
	selectMamberIntegral(memberId) {
		return request({
			url: `/api/member-helper/mamberintegral/${memberId}`,
			method: 'GET',
			interfaceType: 0
		});
	}
}