import request from "@/utils/request.js"; 

export default {
	//获取对外显示的活动
	queryShowActivityInfo(data) {
		return request({
			url: '/api/activity-helper/showactivityinfo',
			method: 'POST',
			data: data,
			interfaceType: 0
		});
	},
	//会员参与活动
	memberJoinActivity(data) {
		return request({
			url: '/api/activity-helper/participationactivities',
			method: 'POST',
			data: data,
			interfaceType: 0
		});
	},
	//获取特价商品
	activitypromotionalgoods(storeId) {
		return request({
			url: `/api/activity-helper/activitypromotionalgoods/${storeId}`,
			method: 'GET',
			interfaceType: 0
		});
	}
}