import request from "@/utils/request.js";

export default {
	// 查看领取的优惠券
	selectReceivedCoupons(data) {
		return request({
			url: '/api/coupon/wacthcoupon',
			data: data,
			method: 'POST',
			interfaceType: 0
		});
	},
	//根据优惠券ID查询 优惠券详情
	selectCouponById(id) {
		return request({
			url: `/api/coupon/customercoupondetail/${id}`,
			method: 'GET',
			interfaceType: 0
		});
	},
	//获取优惠券使用范围
	queryCouponUseScope(id) {
		return request({
			url: `/api/coupon-helper/couponusescope/${id}`,
			method: 'GET',
			interfaceType: 0
		});
	},
	//查询可用优惠券
	queryCanuseCoupon(data) {
		return request({
			url: '/api/coupon/selectcanusecoupon',
			data: data,
			method: 'POST',
			interfaceType: 0
		});
	},
	//扫码领券
	scancodegetcoupon(data) {
		return request({
			url: '/api/coupon-helper/scancodegetcoupon',
			data: data,
			method: 'POST',
			interfaceType: 0
		});
	}
}